# Endpoints

We provide different endpoints with different price/performance tradeoffs. Our endpoints depend on internal models. Some of them are open-weight, which allow users to deploy them on their own, on arbitrary infrastructure. See Self-deployment for details.

### Generative endpoints[​](https://docs.mistral.ai/platform/endpoints/#generative-endpoints) <a href="#generative-endpoints" id="generative-endpoints"></a>

All our generative endpoints can reason on contexts up to 32k tokens and follow fine-grained instructions.&#x20;

We only provide chat access through our API. Users can access underlying base models for endpoints relying on open-weight models.

#### Tiny[​](https://docs.mistral.ai/platform/endpoints/#tiny) <a href="#tiny" id="tiny"></a>

This generative endpoint is best used for large batch processing tasks where cost is a significant factor but reasoning capabilities are not crucial.

Currently powered by Mistral-7B-v0.2, a better fine-tuning of the initial Mistral-7B released, inspired by the fantastic work of the community.

API name: `nido-tiny`

#### Small[​](https://docs.mistral.ai/platform/endpoints/#small) <a href="#small" id="small"></a>

Higher reasoning capabilities and more capabilities.

The endpoint supports English, French, German, Italian, and Spanish and can produce and reason about code.

Currently powered Mixtral-8X7B-v0.1, a sparse mixture of experts model with 12B active parameters.

API name: `nido-small`

#### Medium[​](https://docs.mistral.ai/platform/endpoints/#medium) <a href="#medium" id="medium"></a>

This endpoint currently relies on an internal prototype model.

API name: `nido-medium`

### Embedding models[​](https://docs.mistral.ai/platform/endpoints/#embedding-models) <a href="#embedding-models" id="embedding-models"></a>

Embedding models enable retrieval and retrieval-augmented generation applications.

Our endpoint outputs vectors in `1024` dimensions. It achieves a retrieval score of 55.26 on MTEB.

API name: `nido-embed`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nido.sg/get-started/platform/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
